Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.lastchange
Class LastChange<E>

    java.lang.Object
      org.teleal.cling.support.lastchange.LastChange<E>

Direct Known Subclasses:
  AVTransportLastChange, RenderingControlLastChange

    public abstract class LastChange<E>

extends java.lang.Object

Constructor Summary
`LastChange(E event, java.lang.Class objectFactory)`
`LastChange(E event, java.lang.Class objectFactory, java.lang.String serialized)`
`LastChange(java.lang.String s)`

Method Summary
`protected abstract void` | `clear(E event)`
`void` | `fire(java.beans.PropertyChangeSupport propertyChangeSupport)`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes[]` | `getInstanceIds()`
`protected abstract org.teleal.cling.model.types.UnsignedIntegerFourBytes[]` | `getInstanceIds(E event)`
`protected abstract
`<V> V`
` | `getStateVariable(E event, org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.Class<V> stateVariableType)`
`
`<V> V`
` | `getStateVariable(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.Class<V> stateVariableType)`
`protected abstract boolean` | `isEmptyString(E event)`
`void` | `reset()`
`protected abstract void` | `setStateVariable(E event, org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceID, java.lang.Object o)`
`void` | `setStateVariable(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceID, java.lang.Object... stateVariables)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LastChange

    public LastChange(java.lang.String s)

### LastChange

    public LastChange(E event,
                      java.lang.Class objectFactory)

### LastChange

    public LastChange(E event,
                      java.lang.Class objectFactory,
                      java.lang.String serialized)

Method Detail

### reset

    public void reset()

### setStateVariable

    public void setStateVariable(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceID,
                                 java.lang.Object... stateVariables)

### getStateVariable

    public <V> V getStateVariable(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                  java.lang.Class<V> stateVariableType)

### fire

    public void fire(java.beans.PropertyChangeSupport propertyChangeSupport)

### getInstanceIds

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes[] getInstanceIds()

### clear

    protected abstract void clear(E event)

### setStateVariable

    protected abstract void setStateVariable(E event,
                                             org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceID,
                                             java.lang.Object o)

### getStateVariable

    protected abstract <V> V getStateVariable(E event,
                                              org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                              java.lang.Class<V> stateVariableType)

### isEmptyString

    protected abstract boolean isEmptyString(E event)

### getInstanceIds

    protected abstract org.teleal.cling.model.types.UnsignedIntegerFourBytes[] getInstanceIds(E event)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.